/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import * as zapp from '../parser/zapp-schema';
import { ZappProfilesController } from './zapp-profiles-controller';
/**
 * A collection of business logic for accessing, manipulating, validating
 * user build data in ZAPP documents.
 */
export declare class UserBuildController extends ZappProfilesController {
    /**
     * @param {string} workspacePath the location of the workspace with a zapp file
     * @returns {(string[] | undefined)} a list of DBB profiles defined in the zapp file
     */
    static getUserBuildProfileNames(workspacePath: string): string[] | undefined;
    /**
     * @param {string} workspacePath the location of the workspace with a zapp file
     * @param {string} [profileName] optional, if multiple DBB profiles are available then qualify by name
     * @returns {(zapp.DbbSettingsItem | undefined)}
     *          DbbSettingsItem object of the profile that matches the profileName
     *          or if ommitted the first one found. Undefined if not available.
     */
    static getUserBuildSettings(workspacePath: string, profileName?: string): zapp.DbbSettingsItem | undefined;
}
