/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,s,t,i){void 0===i&&(i=t),Object.defineProperty(e,i,{enumerable:!0,get:function(){return s[t]}})}:function(e,s,t,i){void 0===i&&(i=t),e[i]=s[t]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,s){Object.defineProperty(e,"default",{enumerable:!0,value:s})}:function(e,s){e.default=s}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var s={};if(null!=e)for(var t in e)"default"!==t&&Object.prototype.hasOwnProperty.call(e,t)&&__createBinding(s,e,t);return __setModuleDefault(s,e),s},__awaiter=this&&this.__awaiter||function(e,s,t,i){return new(t||(t=Promise))((function(o,n){function r(e){try{u(i.next(e))}catch(e){n(e)}}function a(e){try{u(i.throw(e))}catch(e){n(e)}}function u(e){var s;e.done?o(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(r,a)}u((i=i.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.AuthLogin=void 0;const imperative=__importStar(require("@zowe/imperative")),constants_1=require("../../../constants"),rest_1=require("../../../rest"),utils_1=require("../../../utils"),ZosApi_messages_1=require("../../../constants/ZosApi.messages");class AuthLogin{static getToken(e,s,t){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("AuthLogin.getToken called."),imperative.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),e.ISession.user&&e.ISession.password||(e=yield this.promptUserPass(e));try{const i=`${constants_1.ZosRestApiConstants.RESOURCE}${constants_1.ZosRestApiConstants.AUTHLOGIN}`,o={userid:e.ISession.user,password:e.ISession.password};this.log.debug("Endpoint: "+i);const n=yield rest_1.RseRestClient.postExpectAuthToken(e,i,[],o);let r;if(e.ISession.tokenValue=n.authorization,null!==e.ISession.tokenValue&&(e.ISession.type="token",e.ISession.tokenType="jwtToken",t.tokenType=e.ISession.tokenType,t.tokenValue=e.ISession.tokenValue,e.ISession.user=t.user,e.ISession.password=t.password),void 0===s.arguments.rseProfile){r=(yield utils_1.getDefaultProfile()).name}else r=s.arguments.rseProfile;return yield utils_1.saveYaml(r,t),e}catch(e){const s=e;throw this.log.error(s.message.toString()),s.message}}))}static validateToken(e,s){return __awaiter(this,void 0,void 0,(function*(){let t;this.log.trace("AuthLogin.validateToken called."),imperative.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message);const i=`${constants_1.ZosRestApiConstants.RESOURCE}${constants_1.ZosRestApiConstants.AUTHQUERY}`;if(this.log.debug("Endpoint: "+i),!e.ISession.tokenValue)throw new imperative.ImperativeError({msg:ZosApi_messages_1.ZosApiMessages.jwtTokenNotFound.message});try{void 0===s&&(s=utils_1.checkForToken(e)),t=void 0!==s?[s]:[];return yield rest_1.RseRestClient.getExpectJSON(e,i,t)}catch(s){throw void 0===e.ISession.tokenValue?(this.log.error(ZosApi_messages_1.ZosApiMessages.jwtTokenNotFound.message),new imperative.ImperativeError({msg:ZosApi_messages_1.ZosApiMessages.jwtTokenNotFound.message})):(this.log.error(ZosApi_messages_1.ZosApiMessages.jwtTokenExpired.message),new imperative.ImperativeError({msg:ZosApi_messages_1.ZosApiMessages.jwtTokenExpired.message}))}}))}static promptUserPass(e){return __awaiter(this,void 0,void 0,(function*(){if(!e.ISession.user){let s="";for(;""===s;)if(s=yield imperative.CliUtils.promptWithTimeout("Enter user name: "),null===s)throw new imperative.ImperativeError({msg:"Timed out waiting for user name."});e.ISession.user=s}if(!e.ISession.password){let s="";for(;""===s;)if(s=yield imperative.CliUtils.promptWithTimeout("Enter password : ",!0),null===s)throw new imperative.ImperativeError({msg:"Timed out waiting for password."});e.ISession.password=s}return e}))}static get log(){return imperative.Logger.getAppLogger()}}exports.AuthLogin=AuthLogin;