/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,s,t,i){void 0===i&&(i=t),Object.defineProperty(e,i,{enumerable:!0,get:function(){return s[t]}})}:function(e,s,t,i){void 0===i&&(i=t),e[i]=s[t]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,s){Object.defineProperty(e,"default",{enumerable:!0,value:s})}:function(e,s){e.default=s}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var s={};if(null!=e)for(var t in e)"default"!==t&&Object.prototype.hasOwnProperty.call(e,t)&&__createBinding(s,e,t);return __setModuleDefault(s,e),s},__awaiter=this&&this.__awaiter||function(e,s,t,i){return new(t||(t=Promise))((function(o,a){function n(e){try{l(i.next(e))}catch(e){a(e)}}function r(e){try{l(i.throw(e))}catch(e){a(e)}}function l(e){var s;e.done?o(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(n,r)}l((i=i.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.Download=void 0;const imperative_1=require("@zowe/imperative"),path_1=require("path"),util=__importStar(require("util")),ZosFilesUtils_1=require("../../utils/ZosFilesUtils"),List_1=require("../list/List"),GetContent_1=require("./GetContent"),ZosFiles_messages_1=require("../../constants/ZosFiles.messages"),CoreUtils_1=require("../../utils/CoreUtils"),check_1=require("../check"),constants_1=require("../../constants");class Download{static dataSet(e,s,t,i={},o){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Download.dataSet called."),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),imperative_1.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);const a=[];i.binary&&(yield CoreUtils_1.apiVersionCheck(e,103));try{let n,r,l,c;if(i.file)l=i.file;else{let e;e=i.extension?i.extension:yield check_1.CheckMappings.getDlExtensionFromMappings(s.toUpperCase(),o),e||(e=ZosFilesUtils_1.ZosFilesUtils.DEFAULT_FILE_EXTENSION),l=ZosFilesUtils_1.ZosFilesUtils.getDirsFromDataSet(s)+imperative_1.IO.normalizeExtension(e)}if(imperative_1.IO.createDirsSyncFromFilePath(l),i.binary)this.log.info("Used binary transfer from CLI binary tag."),i.encoding=void 0;else{let e;i.encoding&&(e=i.encoding.toString());const a=yield check_1.CheckMappings.encodingPrecedence(t.encoding,e,s,o);a&&"binary"===a?(i.binary=!0,i.encoding=void 0):(i.encoding=a,i.binary=void 0)}if(void 0===n)try{i.binary?(r=yield GetContent_1.GetContent.dataSetBinary(e,s,i),r.apiResponse.length>0&&imperative_1.IO.writeFile(l,r.apiResponse)):(r=yield GetContent_1.GetContent.dataSet(e,s,t,i),r.apiResponse.data.byteLength>0&&(r.apiResponse.data=Buffer.from(imperative_1.IO.processNewlines(r.apiResponse.data.toString()))),c=JSON.parse(r.apiResponse.data),imperative_1.IO.writeFile(l,Buffer.from(c.records))),this.log.info(`Success Downloading data From ${s} To ${l}`),a.push({success:r.success,from:s,to:l,encoding:i.encoding,binary:i.binary})}catch(e){if(e.toString().includes(constants_1.RseApiMessages.nonExistentMappingFile.message))throw e;this.log.error(`Failure Downloading data From ${s} To ${l}`),a.push({success:!1,from:s,to:l,error:e}),n=e}else a.push({success:void 0,from:s,to:l});if(n)throw this.log.error(n),n;return{success:!0,commandResponse:util.format(ZosFiles_messages_1.ZosFilesMessages.datasetDownloadedSuccessfully.message,l),apiResponse:a}}catch(e){const s=e;if(this.log.error(s.toString()),s.toString().includes(constants_1.RseApiMessages.nonExistentMappingFile.message))throw e;return{success:!1,commandResponse:e.message,apiResponse:a}}}))}static allMembers(e,s,t,i={},o){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Download.allMembers called."),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),imperative_1.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);const a=[];i.binary&&(yield CoreUtils_1.apiVersionCheck(e,103));try{const n=yield List_1.List.allMembers(e,s,{volume:i.volume}),r=n.apiResponse.items;if(0===r.length)return{success:!1,commandResponse:"No members found!",apiResponse:n.apiResponse};const l=i.directory||ZosFilesUtils_1.ZosFilesUtils.getDirsFromDataSet(s);let c=0;for(const n of r){let p;null!=i.task&&(i.task.statusMessage="Downloading "+n,i.task.percentComplete=Math.floor(imperative_1.TaskProgress.ONE_HUNDRED_PERCENT*(c/r.length)),c++),p=i.extension?i.extension:yield check_1.CheckMappings.getDlExtensionFromMappings(`${s}(${n})`.toUpperCase(),o),p||(p=ZosFilesUtils_1.ZosFilesUtils.DEFAULT_FILE_EXTENSION);(yield this.dataSet(e,`${s}(${n})`,t,{encoding:i.encoding,volume:i.volume,binary:i.binary,file:l+imperative_1.IO.FILE_DELIM+n.toString().toLowerCase()+imperative_1.IO.normalizeExtension(p)},o)).apiResponse.forEach(e=>{a.push(e)})}return{success:!0,commandResponse:util.format(ZosFiles_messages_1.ZosFilesMessages.datasetDownloadedSuccessfully.message,l),apiResponse:a}}catch(e){const s=e;if(this.log.error(s.toString()),s.toString().includes(constants_1.RseApiMessages.nonExistentMappingFile.message))throw e;return{success:!1,commandResponse:e.message,apiResponse:a}}}))}static ussFile(e,s,t){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Download.ussFile called."),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message),imperative_1.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message);try{if("FILE"!==(yield List_1.List.fileList(e,s)).apiResponse.type)throw new imperative_1.ImperativeError({msg:"A directory was entered. Please enter a file name."});s=path_1.posix.normalize(s);const i=yield GetContent_1.GetContent.ussFile(e,s,t),o=t.file||path_1.posix.normalize(path_1.posix.basename(s));imperative_1.IO.createDirsSyncFromFilePath(o),i.apiResponse.data.byteLength>0&&(i.apiResponse.data=Buffer.from(imperative_1.IO.processNewlines(i.apiResponse.data.toString())));const a=JSON.parse(i.apiResponse.data);imperative_1.IO.writeFile(o,Buffer.from(a.content));const n={success:!0,from:s,to:o};return{success:!0,commandResponse:util.format(ZosFiles_messages_1.ZosFilesMessages.ussFileDownloadedSuccessfully.message,o),apiResponse:n}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.Download=Download;