/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(t,e,s,o){return new(s||(s=Promise))((function(n,i){function r(t){try{c(o.next(t))}catch(t){i(t)}}function a(t){try{c(o.throw(t))}catch(t){i(t)}}function c(t){var e;t.done?n(t.value):(e=t.value,e instanceof s?e:new s((function(t){t(e)}))).then(r,a)}c((o=o.apply(t,e||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.GetContent=void 0;const imperative_1=require("@zowe/imperative"),path_1=require("path"),rest_1=require("../../rest"),ZosRestApi_constants_1=require("../../constants/ZosRestApi.constants"),JobsConstants_1=require("../../constants/JobsConstants"),RseHeaders_1=require("../../doc/RseHeaders"),CoreUtils_1=require("../../utils/CoreUtils");class GetContent{static ussFile(t,e,s){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("GetContent.ussFile called.");try{let o=[];o=CoreUtils_1.setHeaders(t),s.binary?o.push({[RseHeaders_1.RseHeaders.CONVERT]:"false"}):o.push({[RseHeaders_1.RseHeaders.CONVERT]:"true"});const n="/"+e,i=path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES,n);this.log.debug("Endpoint: "+i);return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.getExpectBufferAndEtag(t,i,o)}}catch(t){const e=t;throw this.log.error(e.toString()),t}}))}static dataSet(t,e,s,o={}){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("GetContent.dataSet called.");try{let s=[],n=path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.DATASETS);o.volume&&(n=path_1.posix.join(n,`-(${o.volume})`)),n=path_1.posix.join(n,encodeURIComponent(e),ZosRestApi_constants_1.ZosRestApiConstants.CONTENT),this.log.debug("Endpoint: "+n),s=CoreUtils_1.setHeaders(t),o.returnEtag&&s.push({Etag:o.returnEtag.toString()}),o.encoding&&s.push({hostEncoding:o.encoding.toString()});return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.getExpectBufferAndEtag(t,n,s)}}catch(t){const e=t;throw this.log.error(e.toString()),t}}))}static dataSetBinary(t,e,s={}){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("GetContent.dataSetBinary called.");try{let o=[],n=path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.DATASETS);s.volume&&(n=path_1.posix.join(n,`-(${s.volume})`));const i=e.replace("(","%28").replace(")","%29");n=path_1.posix.join(n,i,ZosRestApi_constants_1.ZosRestApiConstants.RAWCONTENT),this.log.debug("Endpoint: "+n),o=CoreUtils_1.setHeaders(t),void 0!==s.returnEtag&&o.push({Etag:s.returnEtag.toString()}),o.push({Accept:"application/octet-stream"}),o.push({"Content-Type":"application/octet-stream"});return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.getExpectString(t,n,o)}}catch(t){const e=t;throw this.log.error(e.toString()),t}}))}static jobOutput(t,e,s={}){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("GetContent.jobOutput called.");try{const s=`/${e.jobName.toUpperCase()}/${e.jobId.toUpperCase()}${JobsConstants_1.JobsConstants.RESOURCE_SPOOL_FILES}/${e.id}${JobsConstants_1.JobsConstants.RESOURCE_SPOOL_CONTENT}`,o=path_1.posix.join(JobsConstants_1.JobsConstants.RESOURCE,s),n=CoreUtils_1.setHeaders(t);return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.getExpectJSON(t,o,n)}}catch(t){const e=t;throw this.log.error(e.toString()),t}}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.GetContent=GetContent;