/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(t,e,o,r){return new(o||(o=Promise))((function(i,s){function a(t){try{u(r.next(t))}catch(t){s(t)}}function n(t){try{u(r.throw(t))}catch(t){s(t)}}function u(t){var e;t.done?i(t.value):(e=t.value,e instanceof o?e:new o((function(t){t(e)}))).then(a,n)}u((r=r.apply(t,e||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.MonitorJobs=void 0;const imperative_1=require("@zowe/imperative"),util_1=require("util"),list_1=require("../list"),types_1=require("../../../api/types"),utils_1=require("../../utils");class MonitorJobs{static waitForJobOutputStatus(t,e){return __awaiter(this,void 0,void 0,(function*(){return imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,"IJob object (containing jobName and jobId) required"),yield MonitorJobs.waitForStatusCommon(t,{jobName:e.jobName,jobId:e.jobId,status:types_1.JOB_STATUS.OUTPUT})}))}static waitForOutputStatus(t,e,o){return MonitorJobs.waitForStatusCommon(t,{jobName:e,jobId:o,status:types_1.JOB_STATUS.OUTPUT})}static waitForStatusCommon(t,e){return __awaiter(this,void 0,void 0,(function*(){if(imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,"IMonitorJobParms object required"),imperative_1.ImperativeExpect.keysToBeDefinedAndNonBlank(e,["jobName"]),imperative_1.ImperativeExpect.keysToBeDefinedAndNonBlank(e,["jobId"]),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,"Required session must be defined"),null!=e.status&&imperative_1.ImperativeExpect.toBeOneOf(e.status,types_1.JOB_STATUS_ORDER),null!=e.attempts&&(imperative_1.ImperativeExpect.keysToBeOfType(e,"number",["attempts"]),e.attempts<0))throw this.log.error('Expect Error: "attempts" must be a positive integer'),new imperative_1.ImperativeError({msg:'Expect Error: "attempts" must be a positive integer'});if(null!=e.watchDelay&&(imperative_1.ImperativeExpect.keysToBeOfType(e,"number",["watchDelay"]),e.watchDelay<0))throw this.log.error('Expect Error: "watchDelay" must be a positive integer'),new imperative_1.ImperativeError({msg:'Expect Error: "watchDelay" must be a positive integer'});let o;this.log.debug(`Monitor Jobs - "waitForStatusCommon" API request: jobname ${e.jobName}, jobid ${e.jobId}, attempts ${e.attempts}, watch delay ${e.watchDelay}`),this.log.trace("Parameters:\n"+util_1.inspect(e)),null==e.status&&(e.status=MonitorJobs.DEFAULT_STATUS),null==e.attempts&&(e.attempts=MonitorJobs.DEFAULT_ATTEMPTS);try{o=yield MonitorJobs.pollForStatus(t,e)}catch(t){if(t instanceof imperative_1.ImperativeError){const o=t.mDetails;throw o.msg=this.constructErrorMsg(e,t.message),this.log.error(""+o.msg),new imperative_1.ImperativeError(o)}{const o=this.constructErrorMsg(e,t.message);throw this.log.error(""+o),new imperative_1.ImperativeError({msg:o})}}return this.log.trace('Monitor Jobs - "waitForStatusCommon" complete - found expected status of '+e.status),o}))}static pollForStatus(t,e){return __awaiter(this,void 0,void 0,(function*(){const o=e.watchDelay||MonitorJobs.DEFAULT_WATCH_DELAY;let r,i=!1,s=0,a=!1;try{do{s++,this.log.debug(`Polling for jobname "${e.jobName}" jobid "${e.jobId}" status "${e.status}" - attempt "${s}" (max attempts "${e.attempts}") ...`),[i,r]=yield MonitorJobs.checkStatus(t,e),a=!i&&e.attempts>0&&s<e.attempts,a&&(this.log.trace("Setting timeout for next poll..."),yield utils_1.sleep(o))}while(a)}catch(t){throw this.log.error("Received error while polling"),this.log.error(t),t}if(!i&&e.attempts>0&&s>=e.attempts)throw this.log.error(`Error Details: Reached max poll attempts of "${e.attempts}"`),new imperative_1.ImperativeError({msg:`Error Details: Reached max poll attempts of "${e.attempts}"`});return this.log.debug(`Expected status "${e.status}" found for jobname "${e.jobName}" jobid "${e.jobId}" - attempt "${s}" (max attempts "${e.attempts}") ...`),r}))}static checkStatus(t,e){return __awaiter(this,void 0,void 0,(function*(){this.log.debug(`Checking for "${e.status}" status for jobname "${e.jobName}", jobid "${e.jobId}"...`);const o=yield list_1.GetJobs.getStatusCommon(t,e);if(this.log.debug(`jobname "${e.jobName}" jobid "${e.jobId}" has current status of "${o.status}".`),null==o.status||types_1.JOB_STATUS_ORDER.indexOf(o.status.toUpperCase())<0)throw this.log.error(`An unknown status of "${o.status}" for jobname ${o.jobName}, jobid ${o.jobId}, was received.`),new imperative_1.ImperativeError({msg:`Error Details: An unknown status "${o.status}" was received.`});return types_1.JOB_STATUS_ORDER.indexOf(o.status)>=types_1.JOB_STATUS_ORDER.indexOf(e.status)?(this.log.debug(`The current status (${o.status}) for jobname ${o.jobName}, jobid ${o.jobId} is greater than or equal to the expected of "${e.status}"`),[!0,o]):[!1,o]}))}static constructErrorMsg(t,e){return this.log.error(`Error obtaining status for jobname "${t.jobName}" jobid "${t.jobId}".\n${e}`),`Error obtaining status for jobname "${t.jobName}" jobid "${t.jobId}".\n${e}`}static get log(){return imperative_1.Logger.getAppLogger()}}exports.MonitorJobs=MonitorJobs,MonitorJobs.DEFAULT_WATCH_DELAY=3e3,MonitorJobs.DEFAULT_STATUS=types_1.JOB_STATUS.OUTPUT,MonitorJobs.DEFAULT_ATTEMPTS=100;