/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.SecondaryRestApiRegister=void 0;class SecondaryRestApiRegister{constructor(){this.zoweVscUssApiImplementations=new Map,this.zoweVscMvsApiImplementations=new Map,this.zoweVscJesApiImplementations=new Map,this.zoweVscCommandApiImplementations=new Map}registerUssApi(e){if(!e||!e.getProfileTypeName())throw new Error("A Zowe Extension client tried to register an invalid API.");this.zoweVscUssApiImplementations.set(e.getProfileTypeName(),e)}registerMvsApi(e){if(!e||!e.getProfileTypeName())throw new Error("A Zowe Extension client tried to register an invalid MVS API.");this.zoweVscMvsApiImplementations.set(e.getProfileTypeName(),e)}registerJesApi(e){if(!e||!e.getProfileTypeName())throw new Error("Internal error: A Zowe Explorer extension client tried to register an invalid JES API.");this.zoweVscJesApiImplementations.set(e.getProfileTypeName(),e)}registerCommandApi(e){if(!e||!e.getProfileTypeName())throw new Error("Internal error: A Zowe Explorer extension client tried to register an invalid Command API.");this.zoweVscCommandApiImplementations.set(e.getProfileTypeName(),e)}registeredApiTypes(){return[...new Set([...this.registeredUssApiTypes(),...this.registeredMvsApiTypes(),...this.registeredJesApiTypes(),...this.registeredCommandApiTypes()])]}registeredUssApiTypes(){return[...this.zoweVscUssApiImplementations.keys()]}registeredMvsApiTypes(){return[...this.zoweVscMvsApiImplementations.keys()]}registeredJesApiTypes(){return[...this.zoweVscJesApiImplementations.keys()]}registeredCommandApiTypes(){return[...this.zoweVscCommandApiImplementations.keys()]}getUssApi(e){if((null==e?void 0:e.type)&&this.registeredUssApiTypes().includes(e.type)){const t=Object.create(this.zoweVscUssApiImplementations.get(e.type));return t.profile=e,t}throw new Error("Internal error: Tried to call a non-existing API: "+e.type)}getMvsApi(e){if(e&&e.type&&this.registeredMvsApiTypes().includes(e.type)){const t=Object.create(this.zoweVscMvsApiImplementations.get(e.type));return t.profile=e,t}throw new Error("Internal error: Tried to call a non-existing API: "+e.type)}getJesApi(e){if(e&&e.type&&this.registeredJesApiTypes().includes(e.type)){const t=Object.create(this.zoweVscJesApiImplementations.get(e.type));return t.profile=e,t}throw new Error("Internal error: Tried to call a non-existing JES API in API register: "+e.type)}getCommandApi(e){if(e&&e.type&&this.registeredCommandApiTypes().includes(e.type)){const t=Object.create(this.zoweVscCommandApiImplementations.get(e.type));return t.profile=e,t}throw new Error("Internal error: Tried to call a non-existing Command API in API register: "+e.type)}getExplorerExtenderApi(){throw new Error("Method not implemented.")}}exports.SecondaryRestApiRegister=SecondaryRestApiRegister;