/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,n,r){void 0===r&&(r=n),Object.defineProperty(e,r,{enumerable:!0,get:function(){return t[n]}})}:function(e,t,n,r){void 0===r&&(r=n),e[r]=t[n]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var n in e)"default"!==n&&Object.prototype.hasOwnProperty.call(e,n)&&__createBinding(t,e,n);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,n,r){return new(n||(n=Promise))((function(i,a){function s(e){try{l(r.next(e))}catch(e){a(e)}}function o(e){try{l(r.throw(e))}catch(e){a(e)}}function l(e){var t;e.done?i(e.value):(t=e.value,t instanceof n?t:new n((function(e){e(t)}))).then(s,o)}l((r=r.apply(e,t||[])).next())}))},__importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.ZappDocumentInstance=void 0;const fs=__importStar(require("fs")),path=__importStar(require("path")),cjs_1=__importDefault(require("yawn-yaml/cjs")),jsyaml=__importStar(require("js-yaml")),ajv_1=__importDefault(require("ajv")),ajv_formats_1=__importDefault(require("ajv-formats")),zappSchema=require("../../../../resources/zapp-schema-0.0.2.json");class ZappDocumentInstance{constructor(e,t){this.isValid=!1,t&&this.prependErrorMessage(t);try{this.zappYawn=new cjs_1.default(e),this.validate()}catch(e){this.prependErrorMessage(null==e?void 0:e.message)}}static initAjvValidator(){const e=new ajv_1.default({allErrors:!0,strictTuples:!1,allowUnionTypes:!0});return ajv_formats_1.default(e),e.compile(zappSchema)}static createFromYamlString(e){return new ZappDocumentInstance(e)}static createFromJsonString(e){let t="";try{const n=JSON.parse(e);return t=jsyaml.dump(n),this.createFromYamlString(t)}catch(e){return new ZappDocumentInstance(t,(null==e?void 0:e.message)||e)}}static createFromYamlFile(e){return __awaiter(this,void 0,void 0,(function*(){let t="";try{t=yield fs.promises.readFile(e,"utf8");const n=this.createFromYamlString(t);return n.file={path:e,type:"yaml"},n}catch(e){return new ZappDocumentInstance(t,(null==e?void 0:e.message)||e)}}))}static createFromJsonFile(e){return __awaiter(this,void 0,void 0,(function*(){let t="";try{t=yield fs.promises.readFile(e,"utf8");const n=this.createFromJsonString(t);return n.file={path:e,type:"json"},n}catch(e){return new ZappDocumentInstance(t,(null==e?void 0:e.message)||e)}}))}static createFromFile(e){return __awaiter(this,void 0,void 0,(function*(){return(null==e?void 0:e.endsWith(".yaml"))||(null==e?void 0:e.endsWith(".yml"))?yield this.createFromYamlFile(e):(null==e?void 0:e.endsWith(".json"))?yield this.createFromJsonFile(e):new ZappDocumentInstance("","Invalid filename for reading a ZAPP file.")}))}static loadFromWorkspace(e){return __awaiter(this,void 0,void 0,(function*(){const t=this.findZappFile(e);return"yaml"===(null==t?void 0:t.type)?yield this.createFromYamlFile(t.path):"json"===(null==t?void 0:t.type)?yield this.createFromJsonFile(t.path):new ZappDocumentInstance("",`No ZAPP file was found in "${e}".`)}))}static findZappFile(e){if(!e)return;const t=path.normalize(e),n=path.join(t,"zapp.yaml");if(fs.existsSync(n))return{path:n,type:"yaml"};const r=path.join(t,"zapp.yml");if(fs.existsSync(r))return{path:r,type:"yaml"};const i=path.join(t,"zapp.json");return fs.existsSync(i)?{path:i,type:"json"}:void 0}static isZappFileName(e){return/^(zapp\.)(yml|yaml|json)$/.test(e)}getAsDocument(){try{const e=this.zappYawn.json;if(e)return e}catch(e){this.prependErrorMessage(null==e?void 0:e.message)}}getAsYaml(){var e;return null===(e=this.zappYawn)||void 0===e?void 0:e.yaml}getAsObject(){var e;return null===(e=this.zappYawn)||void 0===e?void 0:e.json}write(){var e,t;if(this.isValid){if(null===(t=this.file)||void 0===t?void 0:t.path){let e="# Undefined ZAPP document.";"json"===this.file.type&&(e=JSON.stringify(this.getAsObject())),"yaml"===this.file.type&&(e=this.getAsYaml()||e),fs.writeFileSync(this.file.path,e,{encoding:"utf-8"})}}else this.appendErrorMessage(`Tried to write invalid document "${null===(e=this.file)||void 0===e?void 0:e.path}"`)}validate(){if(this.zappYawn){if(this.isValid=ZappDocumentInstance.validationFunction(this.getAsObject()),!this.isValid){const e=ZappDocumentInstance.validationFunction.errors;return e?e.forEach(e=>{let t=e.message;if(e.params){const n=e.params;t=`${t}(${Object.keys(n).map(e=>`${e}:${n[e]}`)})`}this.appendErrorMessage(t)}):this.appendErrorMessage("Unknown validation error."),!1}return!0}return!1}appendErrorMessage(e){const t=this.errorMessages?this.errorMessages+"\n":"";this.errorMessages=`${t}- ${e||"Unknown Error reading ZAPP file."}`}prependErrorMessage(e){const t=this.errorMessages?"\n"+this.errorMessages:"";this.errorMessages=`- ${e||"Unknown Error reading ZAPP file."}${t}`}}exports.ZappDocumentInstance=ZappDocumentInstance,ZappDocumentInstance.validationFunction=ZappDocumentInstance.initAjvValidator();