/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2021. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.RestSessionUtils=void 0;const imperative_1=require("@zowe/imperative"),RseRestSession_1=require("../api/rest/RseRestSession");class RestSessionUtils{static createBasicRestSession(e){return this.log.debug("Session created with profile for user %s",e.user),new RseRestSession_1.RseRestSession({type:e.password&&e.user&&e.tokenValue||e.tokenValue?"token":e.password&&e.user?"basic":"none",hostname:e.host,port:e.port,user:e.user,password:e.password,rejectUnauthorized:e.rejectUnauthorized,basePath:e.basePath,strictSSL:!1,protocol:e.protocol,tokenType:e.tokenType,tokenValue:e.tokenValue})}static createBasicRestRestSessionFromArguments(e){return new RseRestSession_1.RseRestSession({type:e.password&&e.user&&e.tokenValue||e.tokenValue?"token":e.password&&e.user?"basic":"none",hostname:e.host,port:e.port,user:e.user,password:e.password,rejectUnauthorized:e.rejectUnauthorized,basePath:e.basePath,strictSSL:!1,protocol:e.protocol,tokenType:e.tokenType,tokenValue:e.tokenValue})}static createSessCfgFromArgs(e){return{rejectUnauthorized:e.rejectUnauthorized,basePath:e.basePath,protocol:e.protocol?e.protocol.toLowerCase():"https"}}static get log(){return imperative_1.Logger.getAppLogger()}}exports.RestSessionUtils=RestSessionUtils,RestSessionUtils.REST_CONNECTION_OPTION_GROUP="Zowe REST Connection Options",RestSessionUtils.REST_OPTION_HOST={name:"host",aliases:["H"],description:"The z/OS host name running the Zowe REST API.",type:"string",group:RestSessionUtils.REST_CONNECTION_OPTION_GROUP},RestSessionUtils.REST_OPTION_PORT={name:"port",aliases:["P"],description:"The server port used by the REST API.",type:"number",defaultValue:6800,group:RestSessionUtils.REST_CONNECTION_OPTION_GROUP},RestSessionUtils.REST_OPTION_USER={name:"user",aliases:["u"],description:"The user name for the Zowe REST API operations.",type:"string",group:RestSessionUtils.REST_CONNECTION_OPTION_GROUP},RestSessionUtils.REST_OPTION_PASSWORD={name:"password",aliases:["pass"],description:"The password of the user for the Zowe REST API operations.",type:"string",group:RestSessionUtils.REST_CONNECTION_OPTION_GROUP},RestSessionUtils.REST_OPTION_REJECT_UNAUTHORIZED={name:"reject-unauthorized",aliases:["ru"],description:"Reject self-signed certificates.",type:"boolean",defaultValue:!0,group:RestSessionUtils.REST_CONNECTION_OPTION_GROUP},RestSessionUtils.REST_OPTION_BASE_PATH={name:"base-path",aliases:["bp"],description:"The base path of the API for the REST API operations.",type:"string",defaultValue:"rseapi",group:RestSessionUtils.REST_CONNECTION_OPTION_GROUP},RestSessionUtils.REST_OPTION_PROTOCOL={name:"protocol",aliases:["protocol"],description:"http or https, depending whether a TLS handshake is required to access REST API.",type:"string",defaultValue:"https",group:RestSessionUtils.REST_CONNECTION_OPTION_GROUP},RestSessionUtils.REST_OPTION_ENCODING={name:"encoding",aliases:["ec"],description:'The encoding for download and upload of z/OS data set and USS files. The encoding should be specified in the form of "IBM-1047".',type:"string",group:RestSessionUtils.REST_CONNECTION_OPTION_GROUP},RestSessionUtils.REST_CONNECTION_OPTIONS=[RestSessionUtils.REST_OPTION_HOST,RestSessionUtils.REST_OPTION_PORT,RestSessionUtils.REST_OPTION_USER,RestSessionUtils.REST_OPTION_PASSWORD,RestSessionUtils.REST_OPTION_REJECT_UNAUTHORIZED,RestSessionUtils.REST_OPTION_BASE_PATH,RestSessionUtils.REST_OPTION_PROTOCOL,RestSessionUtils.REST_OPTION_ENCODING];